{
  "codeName" : "MajorStateData",
  "controlType" : "DATAVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSDATAVIEWS/MajorStateData.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "logicName" : "主状态",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdedataviews/MajorStateData",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataview_item_u715724a_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "编辑"
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataview_item_ua7ac3e7_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "删除"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "编辑",
    "getPSUIAction" : {
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "modelref" : true,
      "id" : "Edit@IBIZBOOK"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "dataview"
  }, {
    "name" : "删除",
    "getPSUIAction" : {
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "modelref" : true,
      "id" : "Delete@IBIZBOOK"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "dataview"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "dataview",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_dataview",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEDataViewDataItems" : [ {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdescription",
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "getPSDEDataViewItems" : [ {
    "dataItemName" : "srfmajortext",
    "itemType" : "DATAITEM",
    "name" : "srfmajortext",
    "enableSort" : false
  }, {
    "dataItemName" : "item",
    "itemType" : "ACTIONITEM",
    "name" : "item",
    "getPSDEUIActionGroup" : {
      "codeName" : "Auto41",
      "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuagroups/Auto41",
      "name" : "数据项操作行为组",
      "getPSUIActionGroupDetails" : [ {
        "detailType" : "DEUIACTION",
        "name" : "u715724a",
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "noPrivDisplayMode" : 1,
          "caption" : "编辑",
          "codeName" : "Edit",
          "dataAccessAction" : "EDIT",
          "getFrontPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKUsr3EditView.json",
            "viewType" : "DEEDITVIEW"
          },
          "frontProcessType" : "TOP",
          "fullCodeName" : "IBIZBOOK_Edit",
          "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/Edit",
          "name" : "编辑",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
          },
          "getPSDEOPPriv" : {
            "modelref" : true,
            "id" : "EDIT"
          },
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/Edit",
          "timeout" : 60000,
          "uIActionMode" : "FRONT",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION",
          "id" : "Edit@IBIZBOOK"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "detailType" : "DEUIACTION",
        "name" : "ua7ac3e7",
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "noPrivDisplayMode" : 1,
          "caption" : "删除",
          "codeName" : "Delete",
          "dataAccessAction" : "DELETE",
          "fullCodeName" : "IBIZBOOK_Delete",
          "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/Delete",
          "name" : "删除",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
          },
          "getPSDEOPPriv" : {
            "modelref" : true,
            "id" : "DELETE"
          },
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/Delete",
          "timeout" : 60000,
          "uIActionMode" : "BACKEND",
          "uIActionTag" : "Delete",
          "uIActionType" : "DEUIACTION",
          "enableConfirm" : true,
          "id" : "Delete@IBIZBOOK"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ],
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuagroups/Auto41",
      "uniqueTag" : "IBIZBOOK__Auto41"
    },
    "enableSort" : false
  }, {
    "dataItemName" : "srfdescription",
    "itemType" : "DATAITEM",
    "name" : "srfdescription",
    "enableSort" : false
  } ],
  "pagingSize" : 20,
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr6DataView/psappviewctrls/dataview",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "appendDEItems" : true,
  "enableCardEdit" : false,
  "enableCardEditGroup" : false,
  "enableCardEditOrder" : false,
  "enableCardNew" : false,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "a08922493e06f7f42c96363b810c230f",
  "modeltype" : "PSDEDATAVIEW"
}